$darkmode

| Qore CsvUtil Module Reference 1.10

Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
CsvUtil::CsvWriteDataProviderFactory Class Reference

The read-only CSV data provider factory. More...

`#include <CsvWriteDataProviderFactory.qc.dox.h>`

Inherits AbstractDataProviderFactory.

## Protected Member Functions
Class | getClassImpl ()
| Returns the class for the data provider object.
hash< DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info. More...
hash< DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information. More...

## Protected Attributes
const | FactoryInfo
| Factory info.

## Static Protected Attributes
static Class | cls = new Class("CsvWriteDataProvider")
| Data provider type info.

## Detailed Description

The read-only CSV data provider factory.

## Member Function Documentation

## ◆ getInfoImpl()

hash< DataProviderFactoryInfo > CsvUtil::CsvWriteDataProviderFactory::getInfoImpl | ( |  | ) |
| protected

Returns static factory information without provider_info.

Returns
  static factory information without provider_info which is provided by getProviderInfo()

## ◆ getProviderInfoImpl()

hash< DataProviderInfo > CsvUtil::CsvWriteDataProviderFactory::getProviderInfoImpl | ( |  | ) |
| protected

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes